Bug 21097 - Missing optgroup closing tag in orderreceive.tt
Summary: Missing optgroup closing tag in orderreceive.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-20 08:01 UTC by David Cook
Modified: 2018-09-21 09:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21097 - Missing optgroup closing tag in orderreceive.tt (1.37 KB, patch)
2018-07-20 08:21 UTC, David Cook
Details | Diff | Splinter Review
Bug 21097 - Missing optgroup closing tag in orderreceive.tt (1.44 KB, patch)
2018-07-20 10:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21097: Missing optgroup closing tag in orderreceive.tt (1.44 KB, patch)
2018-07-20 14:02 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2018-07-20 08:01:04 UTC
There's a missing optgroup closing tag in orderreceive.tt.

Modern browsers tend to tidy HTML so it probably goes unnoticed, but it's a good idea to fix up our markup I reckon.
Comment 1 David Cook 2018-07-20 08:21:29 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2018-07-20 10:01:39 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2018-07-20 10:02:16 UTC
Going straight to Passed QA as it's such a trivial patch and it tests as it should :)
Comment 4 Jonathan Druart 2018-07-20 13:17:38 UTC
Please read https://wiki.koha-community.org/wiki/Commit_messages#Examples
Then use the QA script to catch such errors.
Comment 5 Martin Renvoize 2018-07-20 14:02:12 UTC
Created attachment 77162 [details] [review]
Bug 21097: Missing optgroup closing tag in orderreceive.tt

There is a missing optgroup closing tag in orderreceive.tt. It doesn't
actually cause any display issues (at least in modern browsers), but
it's invalid markup, so this patch fixes it.

_TEST PLAN_
0. Add a budget and add a fund
1. Add a vendor
2. Add a basket
3. Add an order to a basket
4. Close the basket
5. Receive the order
6. Make sure the budget and fund both display when selecting the fund

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2018-07-20 14:03:42 UTC
Grr.. I ran the qa script but entirely missed the bad commit message line :(..
Comment 7 Nick Clemens 2018-07-23 15:39:01 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-08-02 14:20:08 UTC
Pushed to 18.05.x for 18.05.03
Comment 9 Fridolin SOMERS 2018-09-21 09:37:12 UTC
Pushed to 17.11.x for 17.11.10